package com.loit.common.annotation;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * 字典相关注释
 * @author wbh
 * @date 2019年1月4日
 */
public class LoitDictAnnotation {

	/**
     * 
     * @author wbh
     *
     */
    @Target({METHOD, FIELD})
    @Retention(RUNTIME)
    public @interface LoitDict {
    	String tableName() default "loit_dict_data";
    	String dictCode();
    }
}
