package com.loit.common.exception;

/**
 * Service层公用的Exception, 从由Spring管理事务的函数中抛出时会触发事务回滚.
 *
 * @author loit
 */
public class ServiceException extends BusinessException {

    public ServiceException(String module, String code, Object[] args, String defaultMessage) {
        super(module, code, args, defaultMessage);
    }

    public ServiceException(String module, String code, Object[] args) {
        super(module, code, args);
    }

    public ServiceException(String module, String defaultMessage) {
        super(module, defaultMessage);
    }

    public ServiceException(String code, Object[] args) {
        super(code, args);
    }

    public ServiceException(String defaultMessage) {
        super(defaultMessage);
    }
}
