package com.loit.common.utils;

/**
 * 字符串工具类替换
 */
public class StringReplaceUtil {
    private String str;

    public StringReplaceUtil(String str){
        this.str = str;
    }

    /**
     * 动态名称替换
     * loit:cas:{userId} 替换为 loit:cas:7FSDPGS0SDF757SDF5
     */
    public StringReplaceUtil replace(String name, String value) {
        if(StringUtils.isEmpty(this.str)){
            this.str = "";
        }
        this.str = str.replace("{" + name + "}", value);
        return this;
    }

    @Override
    public String toString() {
        if(StringUtils.isEmpty(this.str)){
            return null;
        }
        return str;
    }
}
