package com.loit.loitcasclient.dto;
/**
 * @ClassName ClientLoitStatusCode
 * @Description: 单点登录客户端状态码   编码：3位状态码中，第一位代表一个应用
 * @Author gzx
 * @Date 2019-10-17
 * @Version V1.0
 **/
public enum ClientLoitStatusCode {

    SUCESS("100","成功"),
    FAIL("101","失败"),
    CAS_USER_TOKEN_FAIL("901", "无权限访问该资源,令牌无效或不存在"),
    CAS_AUTHENTICATION_FAIL("903", "无权限访问该资源"),

    ;

    /**
     * 状态编码号
     */
    public String statusCode;
    /**
     * 状态描述
     */
    public String statusDesc;

    /**
     * 构造函数
     * @param statusCode
     * @param statusDesc
     */
    ClientLoitStatusCode(String statusCode, String statusDesc){
        this.statusCode = statusCode;
        this.statusDesc = statusDesc;
    }

}
