package com.loit.loitcasclient.dto;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description 资源管理entity
 * @author xutao
 * @date  2019-10-26
 */
public class ClientResourceManage {

	private static final long serialVersionUID = 1L;

	private int resourceId;
	private String resourceCode;
	private String resourceName;
	private String resourceDesc;
	private String resourceVersion;
	private String resourceUrl;
	private String resourceParentId;
	private String resourceStatus;
	private BigDecimal serialIndex;
	private int contextId;
	private String contextValue;
	private int appId;
	private int typeId;
	private String appName;
	private String typeName;
	private List<ClientResourceManage> children;
	private String isSelected;
	private String appRelStatus;
	public int getResourceId() {
		return resourceId;
	}
	public void setResourceId(int resourceId) {
		this.resourceId = resourceId;
	}
	public String getResourceCode() {
		return resourceCode;
	}
	public void setResourceCode(String resourceCode) {
		this.resourceCode = resourceCode;
	}
	public String getResourceName() {
		return resourceName;
	}
	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}
	public String getResourceDesc() {
		return resourceDesc;
	}
	public void setResourceDesc(String resourceDesc) {
		this.resourceDesc = resourceDesc;
	}
	public String getResourceVersion() {
		return resourceVersion;
	}
	public void setResourceVersion(String resourceVersion) {
		this.resourceVersion = resourceVersion;
	}
	public String getResourceUrl() {
		return resourceUrl;
	}
	public void setResourceUrl(String resourceUrl) {
		this.resourceUrl = resourceUrl;
	}
	public String getResourceParentId() {
		return resourceParentId;
	}
	public void setResourceParentId(String resourceParentId) {
		this.resourceParentId = resourceParentId;
	}
	public String getResourceStatus() {
		return resourceStatus;
	}
	public void setResourceStatus(String resourceStatus) {
		this.resourceStatus = resourceStatus;
	}
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}
	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	public int getContextId() {
		return contextId;
	}
	public void setContextId(int contextId) {
		this.contextId = contextId;
	}
	public String getContextValue() {
		return contextValue;
	}
	public void setContextValue(String contextValue) {
		this.contextValue = contextValue;
	}
	public int getAppId() {
		return appId;
	}
	public void setAppId(int appId) {
		this.appId = appId;
	}
	public int getTypeId() {
		return typeId;
	}
	public void setTypeId(int typeId) {
		this.typeId = typeId;
	}
	public List<ClientResourceManage> getChildren() {
		return children;
	}
	public void setChildren(List<ClientResourceManage> children) {
		this.children = children;
	}
	public String getIsSelected() {
		return isSelected;
	}
	public void setIsSelected(String isSelected) {
		this.isSelected = isSelected;
	}
	public String getAppName() {
		return appName;
	}
	public void setAppName(String appName) {
		this.appName = appName;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public String getAppRelStatus() {
		return appRelStatus;
	}
	public void setAppRelStatus(String appRelStatus) {
		this.appRelStatus = appRelStatus;
	}
	
}