package com.loit.loitcasclient.utils;

import com.loit.common.utils.StringUtils;

import java.io.UnsupportedEncodingException;
import java.util.Base64;

public class ClientBase64Util {

    public static String decoder(String str){
        if(StringUtils.isEmpty(str)){
            return null;
        }

        Base64.Decoder decoder = Base64.getDecoder();
        try {
            return new String(decoder.decode(str), "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String encoder(String str){
        if(StringUtils.isEmpty(str)){
            return null;
        }

        Base64.Encoder encoder = Base64.getEncoder();
        try {
            return encoder.encodeToString(str.getBytes("UTF-8"));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return null;
    }
}
