package com.loit.getway.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "loit")
public class GateWayLoitLog {
	protected Logger logger = LoggerFactory.getLogger(getClass());
    private Boolean gatewayDebugOut;
	
    public void info(String info) {
    	if(gatewayDebugOut!=null&&gatewayDebugOut)
    		logger.info(info);
    }

	public Boolean getGatewayDebugOut() {
		return gatewayDebugOut;
	}

	public void setGatewayDebugOut(Boolean gatewayDebugOut) {
		this.gatewayDebugOut = gatewayDebugOut;
	}

}
