package com.loit.v1.api.controller.casserver;

import com.loit.v1.modules.service.ApplicationManageService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 应用管理[对外接口]
 */
@RestController
@RequestMapping(value = "api/v1/cas/application")
@Api(tags = "应用管理",  value = "ApplicationManagerApiController")
public class ApplicationManagerApiController {
    @Autowired
    private ApplicationManageService applicationManageService;

    /**
     * 获取当前用户使用的appid
     */
    @RequestMapping(value = "appId", method = RequestMethod.GET)
    public Integer getAppId(Integer appId){
        Integer appId1 = applicationManageService.getCurrentAppId(appId);
        return appId1;
    }
}
