package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;

public class AuditStrategyDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "actClass", value = "审核类名称", required = true, example = "org")
	private String actClass;


	@ApiModelProperty(name = "actMethod", value = "类方法", required = true, example = "org")
	private String actMethod;


	@ApiModelProperty(name = "enabled", value = "是否有效", required = true, example = "org")
	private String enabled;


	@ApiModelProperty(name = "levelId", value = "审核级别", required = true, example = "1")
	private Integer levelId;


	@ApiModelProperty(name = "objectTypeId", value = "对象类别ID", required = true, example = "1")
	private Integer objectTypeId;


	@ApiModelProperty(name = "actCodeId", value = "行为代码", required = true, example = "1")
	private Integer actCodeId;

	@ApiModelProperty(name = "actDesc", value = "策略描述", required = true, example = "org")
	private String actDesc;

	public String getActClass() {
		return actClass;
	}

	public void setActClass(String actClass) {
		this.actClass = actClass;
	}

	public String getActMethod() {
		return actMethod;
	}

	public void setActMethod(String actMethod) {
		this.actMethod = actMethod;
	}

	public String getEnabled() {
		return enabled;
	}

	public void setEnabled(String enabled) {
		this.enabled = enabled;
	}

	public Integer getLevelId() {
		return levelId;
	}

	public void setLevelId(Integer levelId) {
		this.levelId = levelId;
	}

	public Integer getObjectTypeId() {
		return objectTypeId;
	}

	public void setObjectTypeId(Integer objectTypeId) {
		this.objectTypeId = objectTypeId;
	}

	public Integer getActCodeId() {
		return actCodeId;
	}

	public void setActCodeId(Integer actCodeId) {
		this.actCodeId = actCodeId;
	}

	public String getActDesc() {
		return actDesc;
	}

	public void setActDesc(String actDesc) {
		this.actDesc = actDesc;
	}
	
	
	

}
