package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: IpPolicyAccountDTO  
* @Description:   IP人员策略分配表数据传输类
* @author zhaokz  
* @date 2019年10月31日 下午2:46:26 
* @version V1.0  
*/

@ApiModel(value = "IpPolicyAccountDTO", description="IP人员策略分配表数据传输类")
public class IpPolicyAccountDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "ID",example = "1")
	private Integer paId;


	@ApiModelProperty(value = "人员ID",example = "1")
	private Integer accountId;


	@ApiModelProperty(value = "策略ID",example = "1")
	private Integer ipPolicyId;


	@ApiModelProperty(value = "策略类型",example = "1")
	private String ipType;


	@ApiModelProperty(value = "策略IP",example = "192.168.22.231")
	private String policyIp;


	public Integer getPaId() {
		return paId;
	}


	public void setPaId(Integer paId) {
		this.paId = paId;
	}


	public Integer getAccountId() {
		return accountId;
	}


	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}


	public Integer getIpPolicyId() {
		return ipPolicyId;
	}


	public void setIpPolicyId(Integer ipPolicyId) {
		this.ipPolicyId = ipPolicyId;
	}


	public String getIpType() {
		return ipType;
	}


	public void setIpType(String ipType) {
		this.ipType = ipType;
	}


	public String getPolicyIp() {
		return policyIp;
	}


	public void setPolicyIp(String policyIp) {
		this.policyIp = policyIp;
	}
	
	
}
