package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: OrgExtattrDTO  
* @Description:   组织扩展属性表数据传输类
* @author zhaokz  
* @date 2019年10月26日 上午10:14:57 
* @version V1.0  
*/
@ApiModel(value = "OrgExtattrDTO", description="组织扩展属性表数据传输类")
public class OrgExtattrDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "组织属性ID",example = "1")
	private Integer orgAttrId;


	@ApiModelProperty(value = "属性代码",example = "23")
	private String attrCode;


	@ApiModelProperty(value = "属性名称",example = "组织所属应用")
	private String attrName;


	@ApiModelProperty(value = "属性类型",example = "2")
	private String attrType;


	@ApiModelProperty(value = "是否必填",example = "1")
	private String isHave;


	@ApiModelProperty(value = "描述",example = "其他")
	private String attrDesc;

	@ApiModelProperty(value = "组织id",example="1")
	private Integer orgId;

	@ApiModelProperty(value = "属性实例值", example="测试")
	private String orgAttrValue;

	@ApiModelProperty(value = "创建时间", example = "2019-10-26 15:12:30")
	private Date createTime;

	@ApiModelProperty(value = "更新时间", example = "2019-10-26 15:12:30")
	private Date updateTime;

	public Integer getOrgAttrId() {
		return orgAttrId;
	}


	public void setOrgAttrId(Integer orgAttrId) {
		this.orgAttrId = orgAttrId;
	}


	public String getAttrCode() {
		return attrCode;
	}


	public void setAttrCode(String attrCode) {
		this.attrCode = attrCode;
	}


	public String getAttrName() {
		return attrName;
	}


	public void setAttrName(String attrName) {
		this.attrName = attrName;
	}


	public String getAttrType() {
		return attrType;
	}


	public void setAttrType(String attrType) {
		this.attrType = attrType;
	}


	public String getIsHave() {
		return isHave;
	}


	public void setIsHave(String isHave) {
		this.isHave = isHave;
	}


	public String getAttrDesc() {
		return attrDesc;
	}


	public void setAttrDesc(String attrDesc) {
		this.attrDesc = attrDesc;
	}


	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public String getOrgAttrValue() {
		return orgAttrValue;
	}

	public void setOrgAttrValue(String orgAttrValue) {
		this.orgAttrValue = orgAttrValue;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
