package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: PersonExtattrInstDTO  
* @Description:   人员扩展实例表数据传输类
* @author zhaokz  
* @date 2019年10月26日 下午3:00:30 
* @version V1.0  
*/

@ApiModel(value = "PersonExtattrInstDTO", description="人员扩展实例表数据传输类")
public class PersonExtattrInstDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "实例ID",example = "1")
	private Integer instId;


	@ApiModelProperty(value = "属性实例值",example = "heehe")
	private String personAttrValue;

	@ApiModelProperty(value = "人员属性ID",example = "1")
	private Integer personAttrId;

	@ApiModelProperty(value = "人员基本信息ID",example = "1")
	private Integer personBaseId;

	private String attrName;
	
	private String attrType;
	
	public String getAttrName() {
		return attrName;
	}


	public void setAttrName(String attrName) {
		this.attrName = attrName;
	}


	public Integer getInstId() {
		return instId;
	}


	public void setInstId(Integer instId) {
		this.instId = instId;
	}


	public String getPersonAttrValue() {
		return personAttrValue;
	}


	public void setPersonAttrValue(String personAttrValue) {
		this.personAttrValue = personAttrValue;
	}

	public Integer getPersonAttrId() {
		return personAttrId;
	}


	public void setPersonAttrId(Integer personAttrId) {
		this.personAttrId = personAttrId;
	}


	public Integer getPersonBaseId() {
		return personBaseId;
	}


	public void setPersonBaseId(Integer personBaseId) {
		this.personBaseId = personBaseId;
	}


	public String getAttrType() {
		return attrType;
	}


	public void setAttrType(String attrType) {
		this.attrType = attrType;
	}
	
	
}
