package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 应用皮肤管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="SkinManageDTO", description="应用皮肤管理数据传输实体类")
public class SkinManageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "上下文值",example = "http://localhost:7007/")
    private String skinCode;
    @ApiModelProperty(value = "描述", example = "IP地址")
    private String skinName;
    @ApiModelProperty(value = "上下文值",example = "http://localhost:7007/")
    private String skinPath;
    @ApiModelProperty(value = "描述", example = "IP地址")
    private String skinDesc;
    @ApiModelProperty(value = "上下文值", example = "http://localhost:7007/")
    private String skinIconUrl;
    
	public String getSkinCode() {
		return skinCode;
	}
	public void setSkinCode(String skinCode) {
		this.skinCode = skinCode;
	}
	public String getSkinName() {
		return skinName;
	}
	public void setSkinName(String skinName) {
		this.skinName = skinName;
	}
	public String getSkinPath() {
		return skinPath;
	}
	public void setSkinPath(String skinPath) {
		this.skinPath = skinPath;
	}
	public String getSkinDesc() {
		return skinDesc;
	}
	public void setSkinDesc(String skinDesc) {
		this.skinDesc = skinDesc;
	}
	public String getSkinIconUrl() {
		return skinIconUrl;
	}
	public void setSkinIconUrl(String skinIconUrl) {
		this.skinIconUrl = skinIconUrl;
	}
    
}
