package com.loit.v1.api.service;

import org.apache.kafka.clients.consumer.ConsumerRecord;

/**  
* @ClassName: DutyService  
* @Description:   勤务系统数据推送接口
* @author zhaokz  
* @date 2020年6月4日 上午9:03:57 
* @version V1.0  
*/
public interface DutyService {
	
	/**
     * 勤务系统新增人员时，调用此接口。
     * @param record 收到的数据信息
     */
    void addPerson(ConsumerRecord<?, ?> record);
    /**
     * 勤务系统修改人员时，调用此接口。
     * @param record 收到的数据信息
     */
    void updatePerson(ConsumerRecord<?, ?> record);
    /**
     * 勤务系统修改人员时，调用此接口。
     * @param record 收到的数据信息
     */
    void deletePerson(ConsumerRecord<?, ?> record);
}
