package com.loit.v1.audit.alarm;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
/**
 * @Description: 短信警告
 * @author: gzxs
 * @date: 2019年10月29日 下午2:38:48
 * @version: V1.0
 */
@Service
public class SMSAlarm {
	private final static Logger logger = LoggerFactory.getLogger(EmailAlarm.class);
	
	/**
	* @Description: 短信警告
	* @author: gzx
	* @date: 2019年10月28日 下午7:23:06 
	* @param @param alertContent 警告内容
	* @param @param alertTarget  警告对象
	* @param @return 参数 
	* @return boolean 返回类型 
	* @throws
	 */
	public void sendEmail(String alertContent,String alertTarget) {
		
	    logger.info("发送短信,内容：{},接受邮箱：{}",alertContent,alertTarget);
	}
}
