package com.loit.v1.audit.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.audit.entity.AuditAlert;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: AuditAlertDao
 * @Description: 行为审核警告表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface AuditAlertDao extends CrudDao<AuditAlert> {
	
	/**
	* @Description: TODO
	* @author: gzx
	* @date: 2019年12月6日 下午4:06:16 
	* @param @param alertName
	* @param @param alertId
	* @param @return 参数 
	* @return int 返回类型 
	* @throws
	 */
	int checkAlertNameUnique(@Param("alertName")String alertName,@Param("alertId")Integer alertId);
}