package com.loit.v1.modules.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Description： 优化配置开关，为了使开发提交后未测试上线到其他正式环境产生问题而设定
 * Author: yangwenbin
 * Date: Created in 2020/7/2 11:26
 * Version: 1.0
 * Modified By:
 */
@Component("OptimizeConfig")
public class OptimizeConfig {

    @Value("${optimize.switch.fistload:false}")
    private String optimizeFirstLoad;

    /**
     * 应用进入调用接口getCurrentUserAppMenu优化开关
     * @return
     */
    public String getOptimizeFirstLoad() {
        return optimizeFirstLoad;
    }

}
