package com.loit.v1.modules.dao;

import org.apache.ibatis.annotations.Mapper;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.AppResourceRelation;

/**
 * @description 资源管理DAO
 * @author xutao
 * @date 2019-10-26
 */
@Mapper
public interface AppResourceRelationDao extends CrudDao<AppResourceRelation> {
	/**
	 * @description 根据应用ID删除数据（物理删除，从数据库中彻底删除）
	 * @param entity
	 * @return
	 */
	public int deleteByAppId(int appId);
}
