package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.IpPolicy;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: IpPolicyDao
 * @Description: IP策略表


 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface IpPolicyDao extends CrudDao<IpPolicy> {
	
	/**
	* @Description: 检查是否唯一
	* @author: gzx
	* @date: 2019年11月20日 上午9:54:33 
	* @param @param ipPolicyName
	* @param @param policyIp 参数 
	* @return void 返回类型 
	* @throws
	 */
	int checkNameUnique(@Param("ipPolicyName")String ipPolicyName,@Param("ipPolicyId")Integer ipPolicyId);

	/**
	 * @param accountId
	 * @return
	 */
	IpPolicy getByAccountId(@Param("accountId")Integer accountId);
}