package com.loit.v1.modules.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.Notice;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 通知表数据层数据库操作接口类.
 * Created by WBJ on 2020-04-23.
 **/
@Mapper
public interface NoticeDao extends CrudDao<Notice> {


    /**
     * 根据ids删除数据
     */
    void deleteByIds(List<Long> list);

    /**
     * 通知修改为已发布状态
     * @param list
     */
    void updatePublishStatus(List<Long> list);
}