package com.loit.v1.modules.dao;

import com.loit.v1.api.dto.OrgExtattrDTO;
import com.loit.v1.modules.entity.OrgExtattr;
import com.loit.common.persistence.CrudDao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;


/**
 * @ClassName: OrgExtattrDao
 * @Description: 组织扩展属性表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface OrgExtattrDao extends CrudDao<OrgExtattr> {

	/**
	 * @param orgExtattr
	 * @return
	 */
	List<OrgExtattr> findExtattrList(OrgExtattr orgExtattr);
	/**
	 * @param orgExtattr
	 * @return
	 */
	List<OrgExtattrDTO> findExtattrListDTO(OrgExtattrDTO orgExtattr);
	/**
	* @Description: 批量删除
	* @author: gzx
	* @date: 2019年11月19日 下午3:51:24 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatch(List<OrgExtattr> list);
	
}