package com.loit.v1.modules.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.ResourceTypeOperation;

/**
 * @description 资源类别操作管理DAO
 * @author xutao
 * @date 2019-10-26
 */
@Mapper
public interface ResourceTypeOperationDao extends CrudDao<ResourceTypeOperation> {
	
	/**
	* @Description: 检查是否唯一
	* @author: xutao
	* @date: 2019年11月20日 上午9:54:33 
	* @param @param actName
	* @param @param actId  
	* @return void 返回类型 
	* @throws
	 */
	int checkNameUnique(@Param("actName")String actName,@Param("actId")Integer actId);

}
