package com.loit.v1.modules.dao;

import org.apache.ibatis.annotations.Mapper;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.ThemeManage;

/**
 * @description 应用主题管理DAO
 * @author xutao
 * @date 2019-10-18
 */
@Mapper
public interface ThemeManageDao extends CrudDao<ThemeManage> {
	
	/**
	 * @description 系统的主题皮肤及导航栏的位置设置
	 * @param entity
	 * @return
	 */
	public int themeSet(ThemeManage entity);

}
