package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: ActRight
 * @Description: 资源操作权限表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "ActRight", description="资源操作权限表数据对象")
public class ActRight extends DataEntity<ActRight> implements Serializable{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer resActId;


	@ApiModelProperty(value = "资源ID",example="1")
	private Integer resId;


	@ApiModelProperty(value = "操作ID",example="1")
	private Integer actId;


	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	public void setResActId(Integer resActId){
		this.resActId = resActId;
	}

	public Integer getResActId(){
		return this.resActId;
	}

	public void setResId(Integer resId){
		this.resId = resId;
	}

	public Integer getResId(){
		return this.resId;
	}

	public void setActId(Integer actId){
		this.actId = actId;
	}

	public Integer getActId(){
		return this.actId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

}
