package com.loit.v1.modules.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

/**
* @ClassName: FileResponseData.java
* @Description:上传图标文件后的数据返回对象，便于前台获取数据.
* @version: v1.0
* @author: xutao
* @date: 2019年10月27日 上午10:20:51 
 */
public class FileResponseData {  

    /**
     *	文件路径
     */
    @JsonInclude(Include.NON_NULL)
    private String filePath;

    /**
     * 	文件名称
     */
    @JsonInclude(Include.NON_NULL)
    private String fileName;

    /**
     * 	文件类型
     */
    @JsonInclude(Include.NON_NULL)
    private String fileType;

    /**
     *	Http URL
     */
    @JsonInclude(Include.NON_NULL)
    private String httpUrl;


    public FileResponseData(){}
    

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getHttpUrl() {
        return httpUrl;
    }

    public void setHttpUrl(String httpUrl) {
        this.httpUrl = httpUrl;
    }
}
