package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: GrpFrom
 * @Description: 用户组来源表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "GrpFrom", description="用户组来源表数据对象")
public class GrpFrom extends DataEntity<GrpFrom> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer grpFromId;


	@ApiModelProperty(value = "来源类型1、来源用户 2、来源组织")
	private String fromType;


	@ApiModelProperty(value = "来源唯一ID")
	private String fromId;


	@ApiModelProperty(value = "用户组ID",example="1")
	private Integer grpId;

	public void setGrpFromId(Integer grpFromId){
		this.grpFromId = grpFromId;
	}

	public Integer getGrpFromId(){
		return this.grpFromId;
	}

	public void setFromType(String fromType){
		this.fromType = fromType;
	}

	public String getFromType(){
		return this.fromType;
	}

	public void setFromId(String fromId){
		this.fromId = fromId;
	}

	public String getFromId(){
		return this.fromId;
	}

	public void setGrpId(Integer grpId){
		this.grpId = grpId;
	}

	public Integer getGrpId(){
		return this.grpId;
	}

}
