package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: GrpUser
 * @Description: 用户组人员对应表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "GrpUser", description="用户组人员对应表数据对象")
public class GrpUser extends DataEntity<GrpUser> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer grpPersonId;


	@ApiModelProperty(value = "人员账号ID",example="1")
	private Integer accoutId;


	@ApiModelProperty(value = "用户组ID",example="1")
	private Integer grpId;


	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setGrpPersonId(Integer grpPersonId){
		this.grpPersonId = grpPersonId;
	}

	public Integer getGrpPersonId(){
		return this.grpPersonId;
	}

	public void setAccoutId(Integer accoutId){
		this.accoutId = accoutId;
	}

	public Integer getAccoutId(){
		return this.accoutId;
	}

	public void setGrpId(Integer grpId){
		this.grpId = grpId;
	}

	public Integer getGrpId(){
		return this.grpId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
