package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: IpPolicyAccount
 * @Description: IP人员策略分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "IpPolicyAccount", description="IP人员策略分配表数据对象")
public class IpPolicyAccount extends DataEntity<IpPolicyAccount>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "ID",example="1")
	private Integer paId;


	@ApiModelProperty(value = "人员ID",example="1")
	private Integer accountId;


	@ApiModelProperty(value = "策略ID",example="1")
	private Integer ipPolicyId;


	@ApiModelProperty(value = "策略类型")
	private String ipType;


	@ApiModelProperty(value = "策略IP")
	private String policyIp;


	public void setPaId(Integer paId){
		this.paId = paId;
	}

	public Integer getPaId(){
		return this.paId;
	}

	public void setAccountId(Integer accountId){
		this.accountId = accountId;
	}

	public Integer getAccountId(){
		return this.accountId;
	}

	public void setIpPolicyId(Integer ipPolicyId){
		this.ipPolicyId = ipPolicyId;
	}

	public Integer getIpPolicyId(){
		return this.ipPolicyId;
	}

	public void setIpType(String ipType){
		this.ipType = ipType;
	}

	public String getIpType(){
		return this.ipType;
	}

	public void setPolicyIp(String policyIp){
		this.policyIp = policyIp;
	}

	public String getPolicyIp(){
		return this.policyIp;
	}

}
