package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 菜单资源对应关系entity
 * @author xutao
 * @date  2019-10-26
 */
@ApiModel(value="MenuResourceRelation", description = "菜单资源对应关系实体")
public class MenuResourceRelation extends DataEntity<MenuResourceRelation> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("关系ID")
	private int relId;
	@ApiModelProperty("资源ID")
	private int resId;
	@ApiModelProperty("菜单ID")
	private int menuId;
	public int getRelId() {
		return relId;
	}
	public void setRelId(int relId) {
		this.relId = relId;
	}
	public int getResId() {
		return resId;
	}
	public void setResId(int resId) {
		this.resId = resId;
	}
	public int getMenuId() {
		return menuId;
	}
	public void setMenuId(int menuId) {
		this.menuId = menuId;
	}
	
}