package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: OrgExtattr
 * @Description: 组织扩展属性表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "OrgExtattr", description="组织扩展属性表数据对象")
public class OrgExtattr extends DataEntity<OrgExtattr>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织属性ID",example="1")
	private Integer orgAttrId;


	@ApiModelProperty(value = "属性代码")
	private String attrCode;


	@ApiModelProperty(value = "属性名称")
	private String attrName;


	@ApiModelProperty(value = "属性类型")
	private String attrType;


	@ApiModelProperty(value = "是否必填")
	private String isHave;


	@ApiModelProperty(value = "描述")
	private String attrDesc;
	
	@ApiModelProperty(value = "组织id",example="1")
	private Integer orgId;
	
	@ApiModelProperty(value = "属性实例值")
	private String orgAttrValue;


	public void setOrgAttrId(Integer orgAttrId){
		this.orgAttrId = orgAttrId;
	}

	public Integer getOrgAttrId(){
		return this.orgAttrId;
	}

	public void setAttrCode(String attrCode){
		this.attrCode = attrCode;
	}

	public String getAttrCode(){
		return this.attrCode;
	}

	public void setAttrName(String attrName){
		this.attrName = attrName;
	}

	public String getAttrName(){
		return this.attrName;
	}

	public void setAttrType(String attrType){
		this.attrType = attrType;
	}

	public String getAttrType(){
		return this.attrType;
	}

	public void setIsHave(String isHave){
		this.isHave = isHave;
	}

	public String getIsHave(){
		return this.isHave;
	}

	public void setAttrDesc(String attrDesc){
		this.attrDesc = attrDesc;
	}

	public String getAttrDesc(){
		return this.attrDesc;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public String getOrgAttrValue() {
		return orgAttrValue;
	}

	public void setOrgAttrValue(String orgAttrValue) {
		this.orgAttrValue = orgAttrValue;
	}

}
