package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: OrgRole
 * @Description: 组织机构角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "OrgRole", description="组织机构角色分配表数据对象")
public class OrgRole extends DataEntity<OrgRole> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer orgRoleId;


	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;


	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setOrgRoleId(Integer orgRoleId){
		this.orgRoleId = orgRoleId;
	}

	public Integer getOrgRoleId(){
		return this.orgRoleId;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
