package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: PersonExtattrInst
 * @Description: 人员扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/

@ApiModel(value = "PersonExtattrInst", description="人员扩展实例表数据对象")
public class PersonExtattrInst extends DataEntity<PersonExtattrInst>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "实例ID",example="1")
	private Integer instId;


	@ApiModelProperty(value = "属性实例值")
	private String personAttrValue;

	@ApiModelProperty(value = "人员属性ID",example="1")
	private Integer personAttrId;


	@ApiModelProperty(value = "人员基本信息ID",example="1")
	private Integer personBaseId;

	private String attrName;
	
	private String attrType;

	public void setInstId(Integer instId){
		this.instId = instId;
	}

	public Integer getInstId(){
		return this.instId;
	}

	public void setPersonAttrValue(String personAttrValue){
		this.personAttrValue = personAttrValue;
	}

	public String getPersonAttrValue(){
		return this.personAttrValue;
	}

	public void setPersonAttrId(Integer personAttrId){
		this.personAttrId = personAttrId;
	}

	public Integer getPersonAttrId(){
		return this.personAttrId;
	}

	public void setPersonBaseId(Integer personBaseId){
		this.personBaseId = personBaseId;
	}

	public Integer getPersonBaseId(){
		return this.personBaseId;
	}

	public String getAttrName() {
		return attrName;
	}

	public void setAttrName(String attrName) {
		this.attrName = attrName;
	}

	public String getAttrType() {
		return attrType;
	}

	public void setAttrType(String attrType) {
		this.attrType = attrType;
	}

	
}
