package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职务角色分配表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-11.
 **/
@ApiModel(value = "PositionRole", description = "职务角色分配表对象")
public class PositionRole extends DataEntity<PositionRole> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id",example="1")
	private Integer positionRoleId;

	/**
	 * 职务id
	 */
	@ApiModelProperty(value = "职务id",example="1")
	private Integer positionId;

	/**
	 * 角色id
	 */
	@ApiModelProperty(value = "角色id",example="1")
	private Integer roleId;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setPositionRoleId(Integer positionRoleId){
		this.positionRoleId = positionRoleId;
	}

	public Integer getPositionRoleId(){
		return this.positionRoleId;
	}

	public void setPositionId(Integer positionId){
		this.positionId = positionId;
	}

	public Integer getPositionId(){
		return this.positionId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
