package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职务人员对应表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-11.
 **/
@ApiModel(value = "PositionUser", description = "职务人员对应表对象")
public class PositionUser extends DataEntity<PositionUser> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id",example="1")
	private Integer positionPersonId;

	/**
	 * 人员账号id
	 */
	@ApiModelProperty(value = "人员账号id",example="1")
	private Integer accoutId;

	/**
	 * 人员账号id列表, 多个用逗号分隔
	 */
	@ApiModelProperty(value = "人员账号id列表, 多个用逗号分隔")
	private String accoutIds;

	/**
	 * 职务id
	 */
	@ApiModelProperty(value = "职务id",example="1")
	private Integer positionId;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setPositionPersonId(Integer positionPersonId){
		this.positionPersonId = positionPersonId;
	}

	public Integer getPositionPersonId(){
		return this.positionPersonId;
	}

	public void setAccoutId(Integer accoutId){
		this.accoutId = accoutId;
	}

	public Integer getAccoutId(){
		return this.accoutId;
	}

	public void setPositionId(Integer positionId){
		this.positionId = positionId;
	}

	public Integer getPositionId(){
		return this.positionId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

	public String getAccoutIds() {
		return accoutIds;
	}

	public void setAccoutIds(String accoutIds) {
		this.accoutIds = accoutIds;
	}
}
