package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职级表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-05.
 **/
@ApiModel(value = "Rank", description = "职级表对象")
public class Rank extends DataEntity<Rank> implements Serializable {

	/**
	 * 职级id
	 */
	@ApiModelProperty(value = "职级id",example="1")
	private Integer rankId;

	/**
	 * 职级代码
	 */
	@ApiModelProperty(value = "职级代码")
	private String rankCode;

	/**
	 * 职级名称
	 */
	@ApiModelProperty(value = "职级名称")
	private String rankName;

	/**
	 * 级别
	 */
	@ApiModelProperty(value = "级别",example="1")
	private Integer rankLvel;

	/**
	 * 排序号
	 */
	@ApiModelProperty(value = "排序号")
	private Float serialIndex;

	/**
	 * 职级说明
	 */
	@ApiModelProperty(value = "职级说明")
	private String rankDesc;

	public void setRankId(Integer rankId){
		this.rankId = rankId;
	}

	public Integer getRankId(){
		return this.rankId;
	}

	public void setRankCode(String rankCode){
		this.rankCode = rankCode;
	}

	public String getRankCode(){
		return this.rankCode;
	}

	public void setRankName(String rankName){
		this.rankName = rankName;
	}

	public String getRankName(){
		return this.rankName;
	}

	public void setRankLvel(Integer rankLvel){
		this.rankLvel = rankLvel;
	}

	public Integer getRankLvel(){
		return this.rankLvel;
	}

	public void setSerialIndex(Float serialIndex){
		this.serialIndex = serialIndex;
	}

	public Float getSerialIndex(){
		return this.serialIndex;
	}

	public void setRankDesc(String rankDesc){
		this.rankDesc = rankDesc;
	}

	public String getRankDesc(){
		return this.rankDesc;
	}
}
