package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职级角色分配表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-11.
 **/
@ApiModel(value = "RankRole", description = "职级角色分配表对象")
public class RankRole extends DataEntity<RankRole> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id",example="1")
	private Integer rankRoleId;

	/**
	 * 职级id
	 */
	@ApiModelProperty(value = "职级id",example="1")
	private Integer rankId;

	/**
	 * 角色id
	 */
	@ApiModelProperty(value = "角色id",example="1")
	private Integer roleId;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setRankRoleId(Integer rankRoleId){
		this.rankRoleId = rankRoleId;
	}

	public Integer getRankRoleId(){
		return this.rankRoleId;
	}

	public void setRankId(Integer rankId){
		this.rankId = rankId;
	}

	public Integer getRankId(){
		return this.rankId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
