package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: RightShortcut
 * @Description: 权限快捷存取表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "RightShortcut", description="权限快捷存取表数据对象")
public class RightShortcut extends DataEntity<RightShortcut> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "ID",example="1")
	private Integer rscId;


	@ApiModelProperty(value = "人员账号ID",example="1")
	private Integer accountId;


	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "来源类型(1人员2组织 3用户组4用户组添加组织)")
	private String fromType;


	@ApiModelProperty(value = "来源唯一ID",example="1")
	private Integer fromId;


	public void setRscId(Integer rscId){
		this.rscId = rscId;
	}

	public Integer getRscId(){
		return this.rscId;
	}

	public void setAccountId(Integer accountId){
		this.accountId = accountId;
	}

	public Integer getAccountId(){
		return this.accountId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setFromType(String fromType){
		this.fromType = fromType;
	}

	public String getFromType(){
		return this.fromType;
	}

	public void setFromId(Integer fromId){
		this.fromId = fromId;
	}

	public Integer getFromId(){
		return this.fromId;
	}
}
