package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: RoleRight
 * @Description: 角色权限对应表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "RoleRight", description="角色权限对应表数据对象")
public class RoleRight extends DataEntity<RoleRight> implements Serializable{
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "RG_ID",example="1")
	private Integer rgId;


	@ApiModelProperty(value = "资源ID",example="1")
	private Integer resId;

	@ApiModelProperty(value = "资源名称")
	private String resName;
	
	
	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "创建时间")
	private Date creatTime;

	private Integer typeId;

	public void setRgId(Integer rgId){
		this.rgId = rgId;
	}

	public Integer getRgId(){
		return this.rgId;
	}

	public void setResId(Integer resId){
		this.resId = resId;
	}

	public Integer getResId(){
		return this.resId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

	public String getResName() {
		return resName;
	}

	public void setResName(String resName) {
		this.resName = resName;
	}

	public Integer getTypeId() {
		return typeId;
	}

	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}

}
