package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 应用皮肤管理entity
 * @author xutao
 * @date  2019-10-21
 */
@ApiModel(value="SkinManage", description = "应用皮肤管理实体")
public class SkinManage extends DataEntity<SkinManage> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "皮肤ID",example="1")
	private Integer skinId;
	@ApiModelProperty("皮肤代码")
	private String skinCode;
	@ApiModelProperty("皮肤名称")
	private String skinName;
	@ApiModelProperty("皮肤所在路径")
	private String skinPath;
	@ApiModelProperty("皮肤描述")
	private String skinDesc;
	@ApiModelProperty("皮肤URL")
	private String skinIconUrl;	
	public Integer getSkinId() {
		return skinId;
	}
	public void setSkinId(Integer skinId) {
		this.skinId = skinId;
	}
	public String getSkinCode() {
		return skinCode;
	}
	public void setSkinCode(String skinCode) {
		this.skinCode = skinCode;
	}
	public String getSkinName() {
		return skinName;
	}
	public void setSkinName(String skinName) {
		this.skinName = skinName;
	}
	public String getSkinPath() {
		return skinPath;
	}
	public void setSkinPath(String skinPath) {
		this.skinPath = skinPath;
	}
	public String getSkinDesc() {
		return skinDesc;
	}
	public void setSkinDesc(String skinDesc) {
		this.skinDesc = skinDesc;
	}
	public String getSkinIconUrl() {
		return skinIconUrl;
	}
	public void setSkinIconUrl(String skinIconUrl) {
		this.skinIconUrl = skinIconUrl;
	}

}