package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 用户日志级别配置表 [门户平台]数据对象.
 * Created by ymm on 2020-07-31.
 **/
@ApiModel(value = "UserLogLevel", description = "用户日志级别配置表对象")
public class UserLogLevel extends DataEntity<UserLogLevel> implements Serializable {

	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键")
	private Integer id;

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private String userid;

	/**
	 * 日志级别
	 */
	@ApiModelProperty(value = "日志级别")
	private String logLevel;

	/**
	 * 创建人id
	 */
	@ApiModelProperty(value = "创建人id")
	private String createUser;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	/**
	 * 更新人id
	 */
	@ApiModelProperty(value = "更新人id")
	private String updateUser;

	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateDate;

	/**
	 * 描述
	 */
	@ApiModelProperty(value = "描述")
	private String descInfo;


	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setUserid(String userid){
		this.userid = userid;
	}

	public String getUserid(){
		return this.userid;
	}

	public void setLogLevel(String logLevel){
		this.logLevel = logLevel;
	}

	public String getLogLevel(){
		return this.logLevel;
	}

	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}

	public String getCreateUser(){
		return this.createUser;
	}

	public void setCreateDate(Date createDate){
		this.createDate = createDate;
	}

	public Date getCreateDate(){
		return this.createDate;
	}

	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	public String getUpdateUser(){
		return this.updateUser;
	}

	public void setUpdateDate(Date updateDate){
		this.updateDate = updateDate;
	}

	public Date getUpdateDate(){
		return this.updateDate;
	}

	public void setDescInfo(String descInfo){
		this.descInfo = descInfo;
	}

	public String getDescInfo(){
		return this.descInfo;
	}

}
