package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.UserLogLevelDao;
import com.loit.v1.modules.entity.UserLogLevel;



/**
 * 用户日志级别配置表 [门户平台]服务实现.
 * Created by ymm on 2020-07-31.
 **/
@Service
@Transactional(readOnly = true)
public class UserLogLevelService extends CrudService<UserLogLevelDao, UserLogLevel> {

}