package com.loit.v1.modules.utils.Model;


import com.datastax.driver.core.utils.UUIDs;

import java.util.UUID;

/**
 * @author hanjinqun
 * @date 2020/3/17
 * iot项目uuid生成
 */
public class IotUUIDUtils {
   public static void main(String[] args) {
      System.out.println(getUUID());
   }
   /**
    * 获取uuid
    * */
   public static String getUUID(){
      return fromTimeUUID(UUIDs.timeBased());
   }

   public static String fromTimeUUID(UUID src) {
      if (src.version() != 1) {
         throw new IllegalArgumentException("Only Time-Based UUID (Version 1) is supported!");
      }
      String str = src.toString();
      return str.substring(15, 18) + str.substring(9, 13) + str.substring(0, 8) + str.substring(19, 23) + str.substring(24);
   }
}
