package com.loit.v1.modules.utils.Model;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**  
* @ClassName: RegexUtil  
* @Description:  正则表达式工具
* @author zhaokz  
* @date 2020年6月29日 下午5:01:27 
* @version V1.0  
*/
public class RegexUtil {

	public static boolean validatePhone(String phone) {
		String regex = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(17[013678])|(18[0-3,5-9])|(19[0,5-9]))\\d{8}$";
		if(phone.length() != 11){
		     System.out.println("手机号应为11位数");
		}else{
		     Pattern p = Pattern.compile(regex);
		     Matcher m = p.matcher(phone);
		     boolean isMatch = m.matches();
		     if(isMatch){
		    	System.out.println("您的手机号" + phone + "是正确格式@——@");
		     }else {
	        	System.out.println("您的手机号" + phone + "是错误格式！！！");
		     }
		     return isMatch;
		}
		return false;
	}
}
