package com.loit.common.spring.timeloit.utils;

public interface RedisConstants {
    // 根据access_token换取userId
    String LOIT_CAS_USERID_BY_ACCESSTOKEN ="loit:cas:userId:{accessToken}";
    // 根据userId换取权限范围内的资源列表
    String LOIT_CAS_RESOURCEMANAGES_BY_USERID = "loit:cas:resourceManages:{userId}";
    // 根据appId换取应用内的资源列表
    String LOIT_CAS_RESOURCEMANAGES_BY_APPID = "loit:cas:resourceManages:{appId}";
    // 根据userId换取应用id
    String LOIT_CAS_APPID_BY_USERID = "loit:cas:appId:{userId}";
    //根据dictId获取字典数据项
    String CACHE_DICT_KEY = "portal:dictdata:{dictId}";
    //根据userId获取缓存用户信息
    String PORTAL_USER_KEY  = "portal:user:{userId}";
}
