package com.loit.v1.api.controller.casserver;

import com.loit.v1.oauth.service.CaptchaService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 验证码缓存controller
 *
 * DEMON add by 2019-11-18
 */
@RestController
@RequestMapping(value = "api/v1/cas/captcha")
@Api(tags = "验证码缓存，cas server登录服务调用",  value = "CaptchaApiController")
public class CaptchaApiController {

    @Autowired
    private CaptchaService captchaService;

    @RequestMapping(value = "", method = RequestMethod.POST)
    public void setCacheCaptcha(@RequestParam(value = "captcha", required = true) String captcha){
        captchaService.setCacheCaptcha(captcha);
    }
}
