package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: ActRightDTO  
* @Description:   资源操作权限表数据数据传输类
* @author zhaokz  
* @date 2019年10月28日 下午3:54:00 
* @version V1.0  
*/

@ApiModel(value = "ActRightDTO", description="资源操作权限表数据数据传输类")
public class ActRightDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "主ID",example = "1")
	private Integer resActId;


	@ApiModelProperty(value = "资源ID",example = "3")
	private Integer resId;


	@ApiModelProperty(value = "操作ID",example = "2")
	private Integer actId;


	@ApiModelProperty(value = "角色ID",example = "1")
	private Integer roleId;


	public Integer getResActId() {
		return resActId;
	}


	public void setResActId(Integer resActId) {
		this.resActId = resActId;
	}


	public Integer getResId() {
		return resId;
	}


	public void setResId(Integer resId) {
		this.resId = resId;
	}


	public Integer getActId() {
		return actId;
	}


	public void setActId(Integer actId) {
		this.actId = actId;
	}


	public Integer getRoleId() {
		return roleId;
	}


	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	
}
