package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
@ApiModel(value = "AuditAlertDTO", description="审核警告数据数据传输类")
public class AuditAlertDTO implements Serializable {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "alertType", value = "警告类型",dataType="String", required = true, example = "一级警告")
	private String alertType;

	@ApiModelProperty(name = "alertName", value = "警告名称",dataType="String", required = true, example = "短信警告")
	private String alertName;

	@ApiModelProperty(name = "alertDesc", value = "警告描述",dataType="String", required = true, example = "向警告对象发送短信")
	private String alertDesc;

	@ApiModelProperty(name = "alertClass", value = "警告类名",dataType="String", required = true, example = "EmailAlarm")
	private String alertClass;

	@ApiModelProperty(name = "classMethod", value = "警告方法",dataType="String", required = true, example = "sendEmail")
	private String classMethod;

	public String getAlertType() {
		return alertType;
	}

	public void setAlertType(String alertType) {
		this.alertType = alertType;
	}

	public String getAlertName() {
		return alertName;
	}

	public void setAlertName(String alertName) {
		this.alertName = alertName;
	}

	public String getAlertDesc() {
		return alertDesc;
	}

	public void setAlertDesc(String alertDesc) {
		this.alertDesc = alertDesc;
	}

	public String getAlertClass() {
		return alertClass;
	}

	public void setAlertClass(String alertClass) {
		this.alertClass = alertClass;
	}

	public String getClassMethod() {
		return classMethod;
	}

	public void setClassMethod(String classMethod) {
		this.classMethod = classMethod;
	}
	
	
	
}
