package com.loit.v1.api.dto;

/**
 * AccessTokenDTO
 * 参数名称不能用驼峰, 名称由登录服务器返回定义
 *
 * DEMON create by 2019-10-30
 */
public class CasAccessTokenDTO {
    private String access_token;
    private String token_type;

    /**
     * access_token过期时间
     */
    private Integer expires_in;

    /**
     * 根据refresh_token刷新access_token
     */
    private String refresh_token;

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getToken_type() {
        return token_type;
    }

    public void setToken_type(String token_type) {
        this.token_type = token_type;
    }

    public Integer getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(Integer expires_in) {
        this.expires_in = expires_in;
    }

    public String getRefresh_token() {
        return refresh_token;
    }

    public void setRefresh_token(String refresh_token) {
        this.refresh_token = refresh_token;
    }
}
