package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 资源类别管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ResourceTypeDTO", description="资源类别管理数据传输实体类")
public class ResourceTypeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "资源类别代码", example = "urlLink")
    private String typeCode;
    @ApiModelProperty(value = "资源类别名称", example = "url类")
    private String typeName;
    @ApiModelProperty(value = "说明", example = "url类别")
    private String typeDesc;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	public String getTypeCode() {
		return typeCode;
	}
	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public String getTypeDesc() {
		return typeDesc;
	}
	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
