package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: RightDTO  
* @Description:   权限分配数据传输类
* @author zhaokz  
* @date 2019年11月11日 下午1:42:54 
* @version V1.0  
*/

@ApiModel(value="RightDTO", description="权限分配数据传输类")
public class RightDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "accountId",example = "1")
	private Integer accountId;
	
	@ApiModelProperty(value = "orgId",example = "1")
	private Integer orgId;
	
	@ApiModelProperty(value = "grpId",example = "1")
	private Integer grpId;
	
	@ApiModelProperty(value = "appId",example = "1")
	private Integer appId;
	
	@ApiModelProperty(value = "roleIds",example = "1,2,4")
	private String roleIds;

	/**
	 * 职务id
	 */
	@ApiModelProperty(value = "positionId",example = "1")
	private Integer positionId;

	/**
	 * 职级id
	 */
	@ApiModelProperty(value = "rankId",example = "1")
	private Integer rankId;

	public Integer getAccountId() {
		return accountId;
	}

	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public Integer getGrpId() {
		return grpId;
	}

	public void setGrpId(Integer grpId) {
		this.grpId = grpId;
	}

	public String getRoleIds() {
		return roleIds;
	}

	public void setRoleIds(String roleIds) {
		this.roleIds = roleIds;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}

	public Integer getRankId() {
		return rankId;
	}

	public void setRankId(Integer rankId) {
		this.rankId = rankId;
	}
}
