package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 系统主题设置数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ThemeSetDTO", description="系统主题设置数据传输实体类")
public class ThemeSetDTO implements Serializable {

    private static final long serialVersionUID = 1L; 

    @ApiModelProperty("应用导航栏展示方式（1、图标展示 2、完全展示（图标加文字） 3、全部隐藏），默认为1")
	private String appNavigationBarDisplayMode;
	@ApiModelProperty("应用导航栏位置（1、右边 2、左边 3、底部）默认为1")
	private String appNavigationBarPosition;
	@ApiModelProperty(value = "展现皮肤ID",example="1")
	private int skinId;
	
	public String getAppNavigationBarDisplayMode() {
		return appNavigationBarDisplayMode;
	}
	public void setAppNavigationBarDisplayMode(String appNavigationBarDisplayMode) {
		this.appNavigationBarDisplayMode = appNavigationBarDisplayMode;
	}
	public String getAppNavigationBarPosition() {
		return appNavigationBarPosition;
	}
	public void setAppNavigationBarPosition(String appNavigationBarPosition) {
		this.appNavigationBarPosition = appNavigationBarPosition;
	}
	public int getSkinId() {
		return skinId;
	}
	public void setSkinId(int skinId) {
		this.skinId = skinId;
	}	
	
}
