package com.loit.v1.audit.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AuditActCode
 * @Description: 行为代码表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditActCode", description="行为代码表数据对象")
public class AuditActCode extends DataEntity<AuditActCode>{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "代码ID",example = "1")
	private Integer actCodeId;


	@ApiModelProperty(value = "行为代码",example = "add")
	private String actCode;


	@ApiModelProperty(value = "代码名称")
	private String codeName;


	@ApiModelProperty(value = "代码说明")
	private String codeDesc;


	@ApiModelProperty(value = "行为对象ID",example = "1")
	private Integer objectTypeId;
	
	@ApiModelProperty(value = "行为对象名称 ")
	private String objectTypeName;

	@ApiModelProperty(value = "应用代码")
	private String appCode;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	public void setActCodeId(Integer actCodeId){
		this.actCodeId = actCodeId;
	}

	public Integer getActCodeId(){
		return this.actCodeId;
	}

	public void setActCode(String actCode){
		this.actCode = actCode;
	}

	public String getActCode(){
		return this.actCode;
	}

	public void setCodeName(String codeName){
		this.codeName = codeName;
	}

	public String getCodeName(){
		return this.codeName;
	}

	public void setCodeDesc(String codeDesc){
		this.codeDesc = codeDesc;
	}

	public String getCodeDesc(){
		return this.codeDesc;
	}

	public void setObjectTypeId(Integer objectTypeId){
		this.objectTypeId = objectTypeId;
	}

	public Integer getObjectTypeId(){
		return this.objectTypeId;
	}

	public String getObjectTypeName() {
		return objectTypeName;
	}

	public void setObjectTypeName(String objectTypeName) {
		this.objectTypeName = objectTypeName;
	}


	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
}
