package com.loit.v1.audit.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AuditAlert
 * @Description: 行为审核警告表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditAlert", description="行为审核警告表数据对象")
public class AuditAlert extends DataEntity<AuditAlert>{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "警告ID" ,example = "1")
	private Integer alertId;


	@ApiModelProperty(value = "警告类型1、短信 2、邮件 3、消息")
	private String alertType;


	@ApiModelProperty(value = "警告名称")
	private String alertName;


	@ApiModelProperty(value = "警告描述")
	private String alertDesc;


	@ApiModelProperty(value = "警告类名")
	private String alertClass;


	@ApiModelProperty(value = "类名方法")
	private String classMethod;
	
	public void setAlertId(Integer alertId){
		this.alertId = alertId;
	}

	public Integer getAlertId(){
		return this.alertId;
	}

	public void setAlertType(String alertType){
		this.alertType = alertType;
	}

	public String getAlertType(){
		return this.alertType;
	}

	public void setAlertName(String alertName){
		this.alertName = alertName;
	}

	public String getAlertName(){
		return this.alertName;
	}

	public void setAlertDesc(String alertDesc){
		this.alertDesc = alertDesc;
	}

	public String getAlertDesc(){
		return this.alertDesc;
	}

	public void setAlertClass(String alertClass){
		this.alertClass = alertClass;
	}

	public String getAlertClass(){
		return this.alertClass;
	}

	public void setClassMethod(String classMethod){
		this.classMethod = classMethod;
	}

	public String getClassMethod(){
		return this.classMethod;
	}


}
