package com.loit.v1.audit.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AuditObjectType
 * @Description: 行为对象类别表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditObjectType", description="行为对象类别表数据对象")
public class AuditObjectType extends DataEntity<AuditObjectType>{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "行为对象类别ID",example = "1")
	private Integer objectTypeId;

	@ApiModelProperty(value = "类别代码")
	private String typeCode;

	@ApiModelProperty(value = "类别名称")
	private String typeName;

	@ApiModelProperty(value = "类别说明")
	private String typeDesc;

	@ApiModelProperty(value = "应用代码")
	private String appCode;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	public void setObjectTypeId(Integer objectTypeId){
		this.objectTypeId = objectTypeId;
	}

	public Integer getObjectTypeId(){
		return this.objectTypeId;
	}

	public void setTypeCode(String typeCode){
		this.typeCode = typeCode;
	}

	public String getTypeCode(){
		return this.typeCode;
	}

	public void setTypeName(String typeName){
		this.typeName = typeName;
	}

	public String getTypeName(){
		return this.typeName;
	}

	public void setTypeDesc(String typeDesc){
		this.typeDesc = typeDesc;
	}

	public String getTypeDesc(){
		return this.typeDesc;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
}
