package com.loit.v1.modules.activemq;

import java.io.Serializable;
import java.util.Map;

/**
 * 消息模型
 * 消息可以是任意数据类型
 */
public class MessageModel implements Serializable {

    public String title;
    public String message;
    public Map<String,Object> map;


//    public MessageModel(Map<String, Object> map) {
//        this.map = map;
//    }

    public Map<String, Object> getMap() {
        return map;
    }

    public void setMap(Map<String, Object> map) {
        this.map = map;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return "MessageModel{" +
                "title='" + title + '\'' +
                ", message='" + message + '\'' +
                ", map=" + map.toString() +
                '}';
    }
}
