package com.loit.v1.modules.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Description： 开关配置
 * Author: yangwenbin
 * Date: Created in 2020/7/9 14:50
 * Version: 1.0
 * Modified By:
 */
@Component
public class SwitchConfig {

    /**
     * 验证码开关
     */
    @Value("${loit.cas.app.captchaSwitch:false}")
    private Boolean captchaSwitch;

    public Boolean getCaptchaSwitch() {
        return captchaSwitch;
    }
}
