package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.CommonEntrance;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 常用入口管理表 数据层数据库操作接口类.
 * Created by wubj on 2020-06-15.
 **/
@Mapper
public interface CommonEntranceDao extends CrudDao<CommonEntrance> {

    /**
     * 根据用户登录账号获取常用入口列表
     * @param userId
     * @return
     */
    List<CommonEntrance> getListByUserId(String userId);

    CommonEntrance validateMenuId(CommonEntrance commonEntrance);
}