package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.GrpFrom;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: GrpFromDao
 * @Description: 用户组来源表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface GrpFromDao extends CrudDao<GrpFrom> {


	/**
	 * 删除用户组来源表数据
	 * @param grpId
	 */
	void deleteByGrpId(@Param("grpId")String grpId);

	/**
	 * @param grpId
	 * @param orgId
	 * @param fromType
	 */
	void deleteGrpFrom(@Param("grpId")String grpId, @Param("fromId")String fromId, @Param("fromType")String fromType);
	
}