package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.OrgExtattr;
import com.loit.v1.modules.entity.OrgExtattrInst;
import com.loit.common.persistence.CrudDao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;


/**
 * @ClassName: OrgExtattrInstDao
 * @Description: 组织扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface OrgExtattrInstDao extends CrudDao<OrgExtattrInst> {

	/**
	 * @param orgId
	 * @param orgAttrId
	 * @return
	 */
	OrgExtattrInst getUnique(Integer orgId, Integer orgAttrId);
	/**
	* @Description: 根据扩展属性ID批量删除实例表中数据
	* @author: Administrator
	* @date: 2019年11月19日 下午3:58:03 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByExtattrIds(List<OrgExtattr> list);
	
}