package com.loit.v1.modules.dao;

import java.util.List;

import com.loit.v1.api.dto.PersonExtattrDTO;
import org.apache.ibatis.annotations.Mapper;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.PersonExtattr;


/**
 * @ClassName: PersonExtattrDao
 * @Description: 人员扩展属性表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface PersonExtattrDao extends CrudDao<PersonExtattr> {

	/**
	 * 查询人员扩展属性列表
	 * @param personExtattr
	 * @return
	 */
	List<PersonExtattr> findExtattrList(PersonExtattr personExtattr);

	/**
	 * 查询人员扩展属性列表
	 * @param personExtattr
	 * @return
	 */
	List<PersonExtattrDTO> findExtattrListDTO(PersonExtattrDTO personExtattr);
	
}