package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.PersonExtattrInst;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: PersonExtattrInstDao
 * @Description: 人员扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@Mapper
public interface PersonExtattrInstDao extends CrudDao<PersonExtattrInst> {

	/**
	 * @param personBaseId
	 * @param personAttrId
	 * @return
	 */
	PersonExtattrInst getUnique(@Param("personBaseId")Integer personBaseId, @Param("personAttrId")Integer personAttrId);
	
}