package com.loit.v1.modules.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.ResourceOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**  
* @ClassName: ResourceOperationDao  
* @Description:   
* @author zhaokz  
* @date 2020年4月13日 上午9:57:24 
* @version V1.0  
*/
@Mapper
public interface ResourceOperationDao extends CrudDao<ResourceOperation> {
    /**
     * @desc 根据角色获取资源url权限
     * @author yangwenbin
     */
    public List<Map<String,Object>> getOperationListByRole(@Param("roleId")Integer roleId);
}
