package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AccountRole
 * @Description: 人员角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AccountRole", description="人员角色分配表数据对象")
public class AccountRole extends DataEntity<AccountRole> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer accountRoleId;


	@ApiModelProperty(value = "人员账户ID",example="1")
	private Integer accountId;


	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "创建时间",example="1")
	private Date creatTime;


	public void setAccountRoleId(Integer accountRoleId){
		this.accountRoleId = accountRoleId;
	}

	public Integer getAccountRoleId(){
		return this.accountRoleId;
	}

	public void setAccountId(Integer accountId){
		this.accountId = accountId;
	}

	public Integer getAccountId(){
		return this.accountId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
