package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 应用资源对应关系entity
 * @author xutao
 * @date  2019-10-26
 */
@ApiModel(value="AppResourceRelation", description = "应用资源对应关系实体")
public class AppResourceRelation extends DataEntity<AppResourceRelation> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "关系ID",example="1")
	private Integer relId;
	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	@ApiModelProperty(value="资源ID",example="1")
	private Integer resId;
	@ApiModelProperty(value = "状态（1、隶属 2、引用）")
	private String status;
	
	public Integer getRelId() {
		return relId;
	}
	public void setRelId(Integer relId) {
		this.relId = relId;
	}
	public Integer getAppId() {
		return appId;
	}
	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	public Integer getResId() {
		return resId;
	}
	public void setResId(Integer resId) {
		this.resId = resId;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
}