package com.loit.v1.modules.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: ApporgShortcut
 * @Description: 应用组织关系快捷存取表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "ApporgShortcut", description="应用组织关系快捷存取表数据对象")
public class ApporgShortcut extends DataEntity<ApporgShortcut>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer appOrgId;

	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;


	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;

	@JsonIgnore
	private Integer accountId;


	public void setAppOrgId(Integer appOrgId){
		this.appOrgId = appOrgId;
	}

	public Integer getAppOrgId(){
		return this.appOrgId;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public Integer getAccountId() {
		return accountId;
	}

	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}
}
