package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: GrpRole
 * @Description: 用户组角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "GrpRole", description="用户组角色分配表数据对象")
public class GrpRole extends DataEntity<GrpRole> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer grpRoleId;


	@ApiModelProperty(value = "用户组ID",example="1")
	private Integer grpId;


	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	public void setGrpRoleId(Integer grpRoleId){
		this.grpRoleId = grpRoleId;
	}

	public Integer getGrpRoleId(){
		return this.grpRoleId;
	}

	public void setGrpId(Integer grpId){
		this.grpId = grpId;
	}

	public Integer getGrpId(){
		return this.grpId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

}
