package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: OrgExtattrInst
 * @Description: 组织扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "OrgExtattrInst", description="组织扩展实例表数据对象")
public class OrgExtattrInst extends DataEntity<OrgExtattrInst>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "实例ID",example="1")
	private Integer instId;


	@ApiModelProperty(value = "属性实例值")
	private String orgAttrValue;


	@ApiModelProperty(value = "组织属性名ID",example="1")
	private Integer orgAttrId;


	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;

	private String attrCode;

	private String attrName;

	private String attrType;

	public void setInstId(Integer instId){
		this.instId = instId;
	}

	public Integer getInstId(){
		return this.instId;
	}

	public void setOrgAttrValue(String orgAttrValue){
		this.orgAttrValue = orgAttrValue;
	}

	public String getOrgAttrValue(){
		return this.orgAttrValue;
	}

	public void setOrgAttrId(Integer orgAttrId){
		this.orgAttrId = orgAttrId;
	}

	public Integer getOrgAttrId(){
		return this.orgAttrId;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public String getAttrCode() {
		return attrCode;
	}

	public void setAttrCode(String attrCode) {
		this.attrCode = attrCode;
	}

	public String getAttrName() {
		return attrName;
	}

	public void setAttrName(String attrName) {
		this.attrName = attrName;
	}

	public String getAttrType() {
		return attrType;
	}

	public void setAttrType(String attrType) {
		this.attrType = attrType;
	}
	
	
}
