package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: OrgPerson
 * @Description: 组织人员关系表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "OrgPerson", description="组织人员关系表数据对象")
public class OrgPerson extends DataEntity<OrgPerson> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer orgAccountId;


	@ApiModelProperty(value = "是否编制在该机构")
	private String isbelong;


	@ApiModelProperty(value = "人员账号ID",example="1")
	private Integer accountId;


	@ApiModelProperty(value = "创建时间")
	private Date creatTime;


	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;


	public void setOrgAccountId(Integer orgAccountId){
		this.orgAccountId = orgAccountId;
	}

	public Integer getOrgAccountId(){
		return this.orgAccountId;
	}

	public void setIsbelong(String isbelong){
		this.isbelong = isbelong;
	}

	public String getIsbelong(){
		return this.isbelong;
	}

	public void setAccountId(Integer accountId){
		this.accountId = accountId;
	}

	public Integer getAccountId(){
		return this.accountId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

}
