package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: PersonExtattr
 * @Description: 人员扩展属性表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "PersonExtattr", description="人员扩展属性表数据对象")
public class PersonExtattr extends DataEntity<PersonExtattr>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "人员属性ID",example="1")
	private Integer personAttrId;


	@ApiModelProperty(value = "属性代码")
	private String attrCode;


	@ApiModelProperty(value = "属性名称")
	private String attrName;


	@ApiModelProperty(value = "属性类型")
	private String attrType;


	@ApiModelProperty(value = "是否必填")
	private String isHave;


	@ApiModelProperty(value = "描述")
	private String attrDesc;

	@ApiModelProperty(value = "属性值")
	private String personAttrValue;
	
	@ApiModelProperty(value = "基本信息id",example="1")
	private Integer personBaseId;

	public void setPersonAttrId(Integer personAttrId){
		this.personAttrId = personAttrId;
	}

	public Integer getPersonAttrId(){
		return this.personAttrId;
	}

	public void setAttrCode(String attrCode){
		this.attrCode = attrCode;
	}

	public String getAttrCode(){
		return this.attrCode;
	}

	public void setAttrName(String attrName){
		this.attrName = attrName;
	}

	public String getAttrName(){
		return this.attrName;
	}

	public void setAttrType(String attrType){
		this.attrType = attrType;
	}

	public String getAttrType(){
		return this.attrType;
	}

	public void setIsHave(String isHave){
		this.isHave = isHave;
	}

	public String getIsHave(){
		return this.isHave;
	}

	public void setAttrDesc(String attrDesc){
		this.attrDesc = attrDesc;
	}

	public String getAttrDesc(){
		return this.attrDesc;
	}

	public String getPersonAttrValue() {
		return personAttrValue;
	}

	public void setPersonAttrValue(String personAttrValue) {
		this.personAttrValue = personAttrValue;
	}

	public Integer getPersonBaseId() {
		return personBaseId;
	}

	public void setPersonBaseId(Integer personBaseId) {
		this.personBaseId = personBaseId;
	}

	
}
