package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职务表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-05.
 **/
@ApiModel(value = "Position", description = "职务表对象")
public class Position extends DataEntity<Position> implements Serializable {

	/**
	 * 职务id
	 */
	@ApiModelProperty(value = "职务id",example="1")
	private Integer positionId;

	/**
	 * 职务代码
	 */
	@ApiModelProperty(value = "职务代码")
	private String positionCode;

	/**
	 * 职务名称
	 */
	@ApiModelProperty(value = "职务名称")
	private String positionName;

	/**
	 * 排序号
	 */
	@ApiModelProperty(value = "排序号")
	private Float serialIndex;

	/**
	 * 职务说明
	 */
	@ApiModelProperty(value = "职务说明")
	private String positionDesc;

	public void setPositionId(Integer positionId){
		this.positionId = positionId;
	}

	public Integer getPositionId(){
		return this.positionId;
	}

	public void setPositionCode(String positionCode){
		this.positionCode = positionCode;
	}

	public String getPositionCode(){
		return this.positionCode;
	}

	public void setPositionName(String positionName){
		this.positionName = positionName;
	}

	public String getPositionName(){
		return this.positionName;
	}

	public void setSerialIndex(Float serialIndex){
		this.serialIndex = serialIndex;
	}

	public Float getSerialIndex(){
		return this.serialIndex;
	}

	public void setPositionDesc(String positionDesc){
		this.positionDesc = positionDesc;
	}

	public String getPositionDesc(){
		return this.positionDesc;
	}

}
