package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: ResourceOperation  
* @Description:   
* @author zhaokz  
* @date 2020年4月10日 下午4:32:01 
* @version V1.0  
*/
@ApiModel(value="ResourceOperation", description = "资源操作实体")
public class ResourceOperation extends DataEntity<ResourceOperation> {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "操作实例ID", example = "1")
	private Integer instId;
	@ApiModelProperty(value = "操作ID", example = "1")
	private Integer actId;
	@ApiModelProperty(value = "资源ID", example = "1")
	private Integer resId;
	@ApiModelProperty(value = "操作代码", example = "1")
	private String actCode;
	@ApiModelProperty(value = "资源编码", example = "1")
	private String resCode;
	@ApiModelProperty(value = "操作入口", example = "1")
	private String actUrl;
	@ApiModelProperty(value = "操作名称", example = "1")
	private String actName;
	@ApiModelProperty(value = "资源名称", example = "1")
	private String resName;
	public Integer getInstId() {
		return instId;
	}
	public void setInstId(Integer instId) {
		this.instId = instId;
	}
	public Integer getActId() {
		return actId;
	}
	public void setActId(Integer actId) {
		this.actId = actId;
	}
	public Integer getResId() {
		return resId;
	}
	public void setResId(Integer resId) {
		this.resId = resId;
	}
	public String getActCode() {
		return actCode;
	}
	public void setActCode(String actCode) {
		this.actCode = actCode;
	}
	public String getResCode() {
		return resCode;
	}
	public void setResCode(String resCode) {
		this.resCode = resCode;
	}
	public String getActUrl() {
		return actUrl;
	}
	public void setActUrl(String actUrl) {
		this.actUrl = actUrl;
	}
	public String getActName() {
		return actName;
	}
	public void setActName(String actName) {
		this.actName = actName;
	}
	public String getResName() {
		return resName;
	}
	public void setResName(String resName) {
		this.resName = resName;
	}
	
	
}
