package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.LabelDao;
import com.loit.v1.modules.entity.Label;
import com.loit.v1.api.dto.LabelDTO;


/**
 * 标签 [门户平台]服务实现.
 * Created by Demon on 2020-06-20.
 **/
@Service
@Transactional(readOnly = true)
public class LabelService extends CrudService<LabelDao, Label> {
    @Transactional(readOnly = false)
    public void deleteByLabelModuleId(Integer labelModuleId){
        dao.deleteByLabelModuleId(labelModuleId);
    }
}