package com.loit.v1.modules.service;


import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.MenuLayoutDao;
import com.loit.v1.modules.entity.MenuLayout;
/**
 * @description 菜单布局管理Service
 * @author xutao
 * @date 2019-10-27
 */
@Service
@Transactional(readOnly = true)
public class MenuLayoutService extends CrudService<MenuLayoutDao, MenuLayout> {
	
	
}
