package com.loit.v1.modules.service;


import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.MenuStyleDao;
import com.loit.v1.modules.entity.MenuStyle;
/**
 * @description 菜单样式管理Service
 * @author xutao
 * @date 2020-02-21
 */
@Service
@Transactional(readOnly = true)
public class MenuStyleService extends CrudService<MenuStyleDao, MenuStyle> {
	
	
}
