package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.OrgExtattrInstDao;
import com.loit.v1.modules.entity.OrgExtattrInst;



/**
 * @ClassName: OrgExtattrInstService
 * @Description: 组织扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class OrgExtattrInstService extends CrudService<OrgExtattrInstDao, OrgExtattrInst> {

	/**
	 * @param orgId
	 * @param orgAttrId
	 * @return
	 */
	public OrgExtattrInst getUnique(Integer orgId, Integer orgAttrId) {
		return dao.getUnique(orgId,orgAttrId);
	}

}