package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.PersonExtattrInstDao;
import com.loit.v1.modules.entity.PersonExtattrInst;



/**
 * @ClassName: PersonExtattrInstService
 * @Description: 人员扩展实例表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@Service
public class PersonExtattrInstService extends CrudService<PersonExtattrInstDao, PersonExtattrInst> {

	/**
	 * @param personBaseId
	 * @param personAttrId
	 * @return
	 */
	public PersonExtattrInst getUnique(Integer personBaseId, Integer personAttrId) {
		return dao.getUnique(personBaseId,personAttrId);
	}

}