package com.loit.v1.modules.utils.Model;

import java.util.Comparator;

import com.loit.v1.modules.entity.MenuManage;

public class IndexComparator implements Comparator<MenuManage> {

	@Override
	public int compare(MenuManage o1, MenuManage o2) {
		if(o1.getSerialIndex()==null) return 1;
		if(o2.getSerialIndex()==null) return -1;
		double o1val = o1.getSerialIndex().doubleValue();
		double o2val = o2.getSerialIndex().doubleValue();
		if(o1val-o2val>0.0006) return 1;
		if(Math.abs(o1val-o2val)<=0.0006) return 0;
		return -1;
	}

}
